Subject: hostap crypto bugs

From: "David S. Miller" <[email-masked]>
Date: Wed, 2 Jun 2004 21:36:34 -0700

You cannot invoke virt_to_page() on addresses on the kernel stack,
and that is what the various HostAP crypto modules are doing.

This happens to work on some platforms, but it is going to explode
on others.

Allocate these little header scratch area blobs in the per-crypto-instance
structs you kmalloc instead.